io.vertx.json.schema.common

## Enum JsonSchemaType

- java.lang.Object
- - java.lang.Enum<JsonSchemaType>
  - - io.vertx.json.schema.common.JsonSchemaType

- All Implemented Interfaces:
    Serializable, Comparable<JsonSchemaType>

      public enum JsonSchemaType
      extends Enum<JsonSchemaType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `BOOLEAN`
    `INTEGER`
    `NULL`
    `NUMBER`
    `NUMBER_DECIMAL`
    `OBJECT`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkInstance(Object obj)`
    `static JsonSchemaType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JsonSchemaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final JsonSchemaType NULL

    - #### BOOLEAN

          public static final JsonSchemaType BOOLEAN

    - #### OBJECT

          public static final JsonSchemaType OBJECT

    - #### ARRAY

          public static final JsonSchemaType ARRAY

    - #### NUMBER

          public static final JsonSchemaType NUMBER

    - #### NUMBER_DECIMAL

          public static final JsonSchemaType NUMBER_DECIMAL

    - #### INTEGER

          public static final JsonSchemaType INTEGER

    - #### STRING

          public static final JsonSchemaType STRING

  - ### Method Detail

    - #### values

          public static JsonSchemaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonSchemaType c : JsonSchemaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonSchemaType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### checkInstance

          public boolean checkInstance(Object obj)

Copyright © 2023 Eclipse. All rights reserved.